<!DOCTYPE html>
{%load static %}
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes List | Lab 4</title>
    <link rel="stylesheet" href="{% static 'css/lab4.css' %}" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
  <body>
    <nav class="navbar fixed-top navbar-dark bg-dark">
      <a class="navbar-brand">Lab 4</a>
      <form class="form-inline">
        <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/'">Note Table</button>
        <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/note-list/'">Note Card</button>
        <button class="btn btn-outline-success" type="button" onclick="location.href = 'http://localhost:8000/lab-4/add-note/'">Compose New Note</button>
      </form>
    </nav>
    <br><br><br>
    <div id="header"><b>Note Cards</b></div>
    <div id="outer">    
      <br><br>
      {% for n in notes %}
      <div class="card text-white bg-dark mb-3" style="width: 25rem;">
        <div class="card-header">
          To {{n.addressee}}
        </div>
        <div class="card-body" >
          <h5 class="card-title">{{n.title}}</h5>
          <h6 class="card-subtitle mb-2 text-muted">From {{n.addresser}}</h6>
          <p class="card-text">{{n.message}}</p>
        </div>
      </div>
      {% endfor %}
    </div>
  </body>
</html>
